从linux mint完全卸载mysql?

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (2)
  • 关注 (0)
  • 查看 (580)

我在我的系统中安装了mysql 5.5,我想安装新版本即。mysql 5.7,所以我很难卸载旧版本。当我尝试安装5.7时,它正在安装5.5。所以我需要帮助......这是我执行的命令: - sudo apt-get purge mysql-server mysql-client mysql-common mysql-server-core-5.5 mysql-client-core-5.5

读取包列表...完成构建依赖树 读取状态信息...完成包'mysql-client'没有安装,所以没有删除包'mysql-client-core-5.5'没有安装,所以没有删除包'mysql -common'没有安装,所以没有删除包'mysql-server'没有安装,所以没有删除包'mysql-server-core-5.5'没有安装,所以没有删除0升级,0新安装,0删除和254未升级。

**我不明白为什么254没有升级

sudo rm -rf / etc / mysql / var / lib / mysql

sudo apt-get autoremove

读取包列表...完成构建依赖关系树 读取状态信息...完成0升级,0新安装,0删除,254未升级。

sudo apt-get autoclean

读取包列表...完成构建依赖关系树 读取状态信息...完成

$ mysql --version(我jsust tyied检查版本)

程序'mysql'可以在以下包中找到:* mysql-client-core-5.5 * mariadb-client-core-5.5 * mysql-client-core-5.6 * percona-xtradb-cluster-client-5.5试试:sudo apt-get install

sudo apt-get install mysql-server

构建依赖树 读取状态信息...完成将安装以下额外的软件包:libdbd-mysql-perl libdbi-perl libmysqlclient18 libterm-readkey-perl mysql-client-5.5 mysql-client-core-5.5 mysql-common mysql-server-5.5 mysql -server-core-5.5建议的软件包:libmldbm-perl libnet-daemon-perl libplrpc-perl libsql-statement-perl tinyca mailx推荐软件包:libhtml-template-perl将安装以下新软件包:libdbd-mysql-perl libdbi- perl libmysqlclient18 libterm-readkey-perl mysql-client-5.5 mysql-client-core-5.5 mysql-common mysql-server mysql-server-5.5 mysql-server-core-5.5 0升级,10新安装,0删除,254不升级。需要获得0 B / 9,257 kB的档案。执行此操作后,将使用96.4 MB的额外磁盘空间。你想继续吗?[Y / N]

它安装以前的版本而不是新版本。所以请帮助我

提问于
用户回答回答于

apt 自动安装添加的存储库中可用的最新版本。

要查看启用的存储库中的所有可用版本,请运行

apt-cache policy mysql-server

如果您要安装的版本未在输出中列出,则可能需要添加额外的存储库。

即将 254 not upgraded参与,只是意味着存储库中有254个软件包的更新。您可以使用安装这些更新

sudo apt-get upgrade
用户回答回答于

扫码关注云+社区

领取腾讯云代金券